Bug 1284096 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fe566f559a88c6ea25c18c89dc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 15:22 EST by Marc Mercer
Modified: 2016-12-20 11:09 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:09:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.49 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: core_backtrace (27.11 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: dso_list (29.07 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: environ (1.73 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: maps (156.91 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-11-20 15:22 EST, Marc Mercer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 15:23 EST, Marc Mercer
no flags Details
File: open_fds (189 bytes, text/plain)
2015-11-20 15:23 EST, Marc Mercer
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-11-20 15:23 EST, Marc Mercer
no flags Details
File: var_log_messages (313 bytes, text/plain)
2015-11-20 15:23 EST, Marc Mercer
no flags Details

  None (edit)
Description Marc Mercer 2015-11-20 15:22:45 EST
Description of problem:
Happens regularly, not sure why

Version-Release number of selected component:
plasma-workspace-5.4.3-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     2490
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QtPrivate::RefCount::ref at /usr/include/qt5/QtCore/qrefcount.h:54
 #4 QV4::Heap::String::toQString at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4string_p.h:84
 #5 QV4::String::toQString at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4string_p.h:145
 #6 QV4::Heap::StringObject::StringObject at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4stringobject.cpp:91
 #7 QV4::ExecutionEngine::newStringObject at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4mm_p.h:126
 #8 QV4::Runtime::getProperty at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4runtime.cpp:682
 #9 ??
 #10 ??
 #11 ??
Comment 1 Marc Mercer 2015-11-20 15:22:50 EST
Created attachment 1097303 [details]
File: backtrace
Comment 2 Marc Mercer 2015-11-20 15:22:51 EST
Created attachment 1097304 [details]
File: cgroup
Comment 3 Marc Mercer 2015-11-20 15:22:52 EST
Created attachment 1097305 [details]
File: core_backtrace
Comment 4 Marc Mercer 2015-11-20 15:22:53 EST
Created attachment 1097306 [details]
File: dso_list
Comment 5 Marc Mercer 2015-11-20 15:22:55 EST
Created attachment 1097307 [details]
File: environ
Comment 6 Marc Mercer 2015-11-20 15:22:56 EST
Created attachment 1097308 [details]
File: limits
Comment 7 Marc Mercer 2015-11-20 15:22:58 EST
Created attachment 1097309 [details]
File: maps
Comment 8 Marc Mercer 2015-11-20 15:22:59 EST
Created attachment 1097310 [details]
File: mountinfo
Comment 9 Marc Mercer 2015-11-20 15:23:00 EST
Created attachment 1097311 [details]
File: namespaces
Comment 10 Marc Mercer 2015-11-20 15:23:01 EST
Created attachment 1097312 [details]
File: open_fds
Comment 11 Marc Mercer 2015-11-20 15:23:02 EST
Created attachment 1097313 [details]
File: proc_pid_status
Comment 12 Marc Mercer 2015-11-20 15:23:03 EST
Created attachment 1097314 [details]
File: var_log_messages
Comment 13 Rodolfo Luiz Miliszewski 2015-12-09 05:57:32 EST
Another user experienced a similar problem:

Após instalar o FEDORA 23 KDE PLASMA percebi problemas com animações do próprio KDE,aonde a dinâmica da área de trabalho apresentou uma melhora muito maior do que quando eu o usava em 2010,o FEDORA Deveria e "DEVE" pelo KDE ser uma distribuição prática e fácil de se mecher no entanto estou relatando este problema pois sou um usuário intermediário com um problema de abrir a "RAIZ" (/) da minha partição pela seguinte linha de comando:

ALT+F2 + / = Bug

APPER=Demora muito para carregar lista adicional de programas

KDE PLASMA=Alguns problemas com animações

Agradeço ao Grupo da T.I especialista na programação e desenvolvimento....


reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/krunner
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/krunner
global_pid:     1681
kernel:         4.2.6-301.fc23.x86_64
package:        plasma-workspace-5.4.3-3.fc23
reason:         krunner killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 gizmo 2016-01-19 20:05:33 EST
Another user experienced a similar problem:

Launched audio control from system tray.

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1872
kernel:         4.3.3-300.fc23.x86_64
package:        plasma-workspace-5.5.3-4.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jonathan Wakely 2016-02-24 12:21:53 EST
Similar problem has been detected:

Right-click on the volume applet in the systray on the plasma panel, choose "Audio Volume Settings...". Close the settings dialog, then right-click again and choose "Audio Volume Settings...".

The same crash happene twice, doing exactly the same sequence of steps.

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     21675
kernel:         4.3.5-300.fc23.x86_64
package:        plasma-workspace-5.5.4-2.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 08:37:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:09:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.